package com.gh.gamecenter.common.baselist;

import java.util.List;

import io.reactivex.Observable;

/**
 * Created by khy on 2/12/17.
 */

public interface OnListLoadListener {

    void onLoadRefresh();

    void onLoadNormal();

    void onLoadDone();

    void onLoadError();

    void onLoadMoreError();

    void onLoadEmpty();

    void onLoadOver();

    /**
     * 列表数据接口 先放这里吧
     *
     * @param <T>
     * @return
     */
    <T> Observable<List<T>> provideDataObservable();
}
